MPI_Errhandler_create(3)

NAME
MPI_Errhandler_create - Creates an MPI-style errorhandler

SYNOPSIS
int MPI_Errhandler_create(MPI_Handler_function * function, MPI_Errhandler * errhandler)

INPUT PARAMETERS
function
    - user defined error handling procedure

OUTPUT PARAMETERS
errhandler
    - MPI error handler (handle)

NOTES
The MPI Standard states that an implementation may make the output value (errhandler) simply the address of the function. However, the action of MPI_Errhandler_free makes this impossible, since it is required to set the value of the argument to MPI_ERRHANDLER_NULL . In addition, the actual error handler must remain until all communicators that use it are freed.

THREAD AND INTERRUPT SAFETY
This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.

DEPRECATED FUNCTION
The MPI-2 standard deprecated a number of routines because MPI-2 provides better versions. This routine is one of those that was deprecated. The routine may continue to be used, but new code should use the replacement routine. The replacement routine for this function is MPI_Comm_create_errhandler .

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_ERR_INTERN
    - This error is returned when some part of the MPICH implementation is unable to acquire memory.

SEE ALSO
MPI_Comm_create_errhandler, MPI_Errhandler_free